# TODO: beaker, dogpile.cache, lingua<4 for tests
#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Templating system for Python
Summary(pl.UTF-8):	System szablonów dla języka Python
Name:		python3-Mako
Version:	1.3.9
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/mako/
Source0:	https://files.pythonhosted.org/packages/source/M/Mako/mako-%{version}.tar.gz
# Source0-md5:	28b1b70e01a1240c90e97fab2f17e349
URL:		https://www.makotemplates.org/
BuildRequires:	python3 >= 1:3.8
BuildRequires:	python3-devel >= 1:3.8
# import timeit
BuildRequires:	python3-devel-tools >= 1:3.8
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools >= 1:47
%if %{with tests}
BuildRequires:	python3-babel
BuildRequires:	python3-markupsafe >= 0.9.2
BuildRequires:	python3-pygments >= 1.4
BuildRequires:	python3-pytest >= 3.1.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.4
Conflicts:	python-Mako < 1.1.6-7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance.

%description -l pl.UTF-8
Mako jest biblioteką szablonów napisaną w języku Python. Zapewnia
przyjazną, nie XML-ową składnię, która jest kompilowana do modułów
Pythona dla zwiększenia wydajności.

%package doc
Summary:	Documentation for Python Mako module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona Mako
Group:		Documentation

%description doc
Documentation for Python Mako module.

%description doc -l pl.UTF-8
Dokumentacja do modułu Pythona Mako.

%prep
%setup -q -n mako-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest test
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/mako-render{,-3}
ln -sf mako-render-3 $RPM_BUILD_ROOT%{_bindir}/mako-render

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/mako-render
%attr(755,root,root) %{_bindir}/mako-render-3
%{py3_sitescriptdir}/mako
%{py3_sitescriptdir}/Mako-%{version}-py*.egg-info

%files doc
%defattr(644,root,root,755)
%doc doc/{_static,*.html,*.js}
%changelog
* Sat Mar 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-Mako.git;a=log;h=master

* Sat Mar 15 2025 Jakub Bogusz <qboosh@pld-linux.org> 8eac5d0
- python-Mako.spec updated to 1.3.9 for python 3.8+; moved mako-render symlink here

* Sat Mar 15 2025 Jakub Bogusz <qboosh@pld-linux.org> e0d18ae
- tests require python-devel-tools (for timeit)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5740ae8
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 94046dd
- python 3.13 rebuild

* Thu Sep 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 218d2f4
- disable pytest plugins

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 1248e3b
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 235636d
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a47ec57
- rebuild with python 3.10

* Fri Mar 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 50f71db
- updated to 1.1.6

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> a061f08
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> bda5e28
- release 2

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 2d3d224
- updated to 1.1.0
- removed obsolete mock patch

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0de5158
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 655d618
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sun Jun 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 792a53e
- updated to 1.0.7
- run unit tests; added mock patch to avoid redundant python3-mock dependency
- added -doc subpackage; drop examples todo, they take just 44kB

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e06e1a3
- python 3.6
- release 2 (by relup.sh)

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> e32fc0d
- updated to 1.0.4

* Sat Feb 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 501694b
- replaced python3-distribute with -setuptools

* Sat Feb 20 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e252456
- Update to 1.0.3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5ca754e
- BR: rpmbuild(macros) >= 1.710

